# Шаблоны для создания pipelines в ingestnode ES.

- amavis.json - обработка логов amavis
- cdr.json - разбор логов от АТС (avaya, asterisk)
- fail2ban.json - разбор лога F2B
- mailboxlog.json - обработка лога mailboxlog от Zimbra
- maillog.json - шаблон для обработки логов (maillog, fail2ban.log, zibmra/audit.log, zimbra/nginx.access.log)
- maillog_with_geoip.json - шаблон pipeline для получения GEO данных, на основе полей создаваемых предыдущим (maillog) (используется последовательный запуск)
- zaimbralog.json - парсинг почтового лога Zimbra

# Внесение изменений в elasticsearch

```curl -X POST "elk.example.com:9200"/_ingest/pipeline/maillog" -H 'Content-Type: application/json' -d '@maillog.json'```
```curl -X POST "elk.example.com:9200"/_ingest/pipeline/maillog_with_geoip" -H 'Content-Type: application/json' -d '@maillog_with_geoip.json'```
